INTERFACE
SUBROUTINE TRANSINV_NHCONVPRHS(&
 & PT,PSPD,PSP,PQ,PL,PI,PR,PS,PG) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSUR ,NFLEVG
USE YOMGEM , ONLY : NGPTOT
REAL(KIND=JPRB),INTENT(OUT) :: PT (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSPD (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSP (NGPTOT)
REAL(KIND=JPRB),INTENT(OUT) :: PQ (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PI (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PR (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PS (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PG (NGPTOT,NFLEVG)
END SUBROUTINE TRANSINV_NHCONVPRHS
END INTERFACE
